from ahriman.models.log_record_id import LogRecordId


def test_eq() -> None:
    """
    must compare two log record identifiers
    """
    record1 = LogRecordId("1", "1", "1")
    assert record1 == record1

    record2 = LogRecordId("1", "1")
    assert record1 != record2


def test_eq_other() -> None:
    """
    must return False in case if object is not an instance of event
    """
    assert LogRecordId("1", "1") != 42
